using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto;

public class PersRifDTO
{
    [JsonPropertyName("codPersRif")]
    public string CodPersRif { get; set; }

    [JsonPropertyName("idPersRif")]
    public int IdPersRif { get; set; }

    [JsonPropertyName("personaRif")]
    public string PersonaRif { get; set; }

    [JsonPropertyName("eMail")]
    public string EMail { get; set; }

    [JsonPropertyName("fax")]
    public string Fax { get; set; }

    [JsonPropertyName("mansione")]
    public string? Mansione { get; set; }

    [JsonPropertyName("numCellulare")]
    public string NumCellulare { get; set; }

    [JsonPropertyName("telefono")]
    public string Telefono { get; set; }

    [JsonIgnore]
    public int TempId { get; set; }

    public PersRifDTO Clone()
    {
        return (PersRifDTO)MemberwiseClone();
    }
}
